# Copyright 2023, The Android Open Source Project
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# For now this file is only provided so that `rustfmt` can run, but it may
# be worthwhile to set it up properly as a reference implementation for building
# with libgbl.

[package]
name = "gbl"
version = "0.1.0"

[features]
default = []
alloc = []

[dependencies]
gbl_storage = {version = "0.1", path = "../libstorage"}
spin = "0.9"
static_assertions = "0"
lazy_static = "1"
zerocopy = {version = "=0.8"}
crc32fast = "1.3"

[dev-dependencies]
itertools = "0"
